package com.jpsoft.shinestar.modules.workflow.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.shinestar.modules.workflow.entity.ProcessActUser;
import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.common.dto.Sort;

public interface ProcessActUserService {
	ProcessActUser get(String id);
	boolean exist(String id);
	int insert(ProcessActUser model);
	int update(ProcessActUser model);
	int delete(String id);
	List<ProcessActUser> list();
	List<ProcessActUser> findByActivityId(String activityId);
	List<String> findByActIdAndUserType(String actId,String userType);
	List<ProcessActUser> findItemByActIdAndUserType(String actId,String userType);
	List<ProcessActUser> findItemByActIdAndUserTypeAndSource(String actId,String userType,String source);
	List<String> findRelativePositionByActIdAndUserType(String actId,String userType);
	Page<ProcessActUser> pageSearch(Map<String, Object> searchParams,int pageNum,int pageSize,boolean count,List<Sort> sortList);

    List<ProcessActUser> findByActivityIdAndUserType(String activityId, String userType);
}